<?php

namespace CADSUP\Controllers;

use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;

class MensagensEnvioEmailController
{
 
  	
    public function __construct($service) {
        $this->service = $service;
    }

    
     public function createNewMsgEnvEmail(DTO\Request $request, DTO\Response $response)
    {
        try {
            $row = $request->getRow();
            
            
            $this->service->addMensageEnvEmail($row);
            
        
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
    
    public function deleteMsgEnvEmail(DTO\Request $request, DTO\Response $response)
    {
        try {
            $row = $request->getRow();
            
            $this->service->deleteMensageEnvEmail($row);
            
            
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
    
    public function atualizaMsgEnvEmail(DTO\Request $request, DTO\Response $response)
    {
        try {
            $row = $request->getRow();
            
            
            $this->service->updateMensageEnvEmail($row);
            
            
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
    
}